{% extends 'baseDashboard.html.twig' %}

{% block title %}Annonce index{% endblock %}
{% block style %}
    {{ parent() }}
    <link rel="stylesheet" href="{{ asset('assets/css/lib/datatable/dataTables.bootstrap.min.css') }}">
    <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,600,700,800' rel='stylesheet' type='text/css'>

{% endblock %}
{% block body %}

    <div class="breadcrumbs">
        <div class="breadcrumbs-inner">
            <div class="row m-0">
                <div class="col-sm-4">
                    <div class="page-header float-left">
                        <div class="page-title">

                            <!--  <button type="button" class="btn btn-danger">Danger</button>-->
                            <h1>
                                <button type="button" class="btn btn-warning"><a
                                            href="{{ path('annonce_new',{'id':0}) }}">Ajouter une annonce </a></button>
                            </h1>
                        </div>
                    </div>
                </div>
                <div class="col-sm-8">
                    <div class="page-header float-right">
                        <div class="page-title">
                            <ol class="breadcrumb text-right">
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="content">
        <div class="animated fadeIn">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            <strong class="card-title"> Table des Annonces </strong>
                        </div>
                        {% for message in app.flashes('info') %}
                            <div class="alert alert-success">
                                {{ message }}
                            </div>
                        {% endfor %}
                        {% for message in app.flashes('info') %}
                            <div class="alert alert-success">
                                {{ message }}
                            </div>
                        {% endfor %}

                        <div class="card-body">
                            <table id="bootstrap-data-table" class="table table-striped table-bordered">
                                <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>Reference</th>
                                    <th>TypeAction</th>
                                    <th>Nature</th>
                                    <th>Prix(Dt)</th>
                                    <th>Ville</th>
                                    <th>Adresse</th>
                                    <th>Surface(m²)</th>
                                    <th>Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                {% for annonce in annonces %}

                                    <tr>
                                        <td>{{ annonce.id }}</td>
                                        <td>{{ annonce.reference }}</td>
                                        <td>{{ annonce.typeAction }}</td>
                                        <td>{{ annonce.nature }}</td>
                                        <td>{{ annonce.prix }}</td>
                                        <td>{{ annonce.ville }}</td>
                                        <td>{{ annonce.adresse }}</td>
                                        <td>{{ annonce.surface }}</td>

                                        <td>

                                                {% if annonce.nature =="Appartement" %}
                                                <a href="{{ path('appartement_edit', {'id': annonce.id}) }}"><i class="fa fa-pencil"></i></a>
                                                &nbsp;
                                                <a href="{{ path('appartement_show', {'id': annonce.id}) }}"><i class="fa fa-eye"></i></a>
                                                &nbsp;
                                                <a href="{{ path('annonce_delete', {'id': annonce.id}) }}" onclick="return confirm('voulez-vous vraiment supprimer cette annonce?')"><span class="ti-trash"></span>

                                                {% elseif annonce.nature=="Maison" %}
                                                <a href="{{ path('maison_edit', {'id': annonce.id}) }}"><i class="fa fa-pencil"></i></a>
                                                &nbsp;
                                                <a href="{{ path('maison_show', {'id': annonce.id}) }}"><i class="fa fa-eye"></i></a>
                                                &nbsp;
                                                <a href="{{ path('annonce_delete', {'id': annonce.id}) }}" onclick="return confirm('voulez-vous vraiment supprimer cette annonce?')"><span class="ti-trash"></span>

                                                {% elseif annonce.nature=="Villa" %}
                                                <a href="{{ path('villa_edit', {'id': annonce.id}) }}"><i class="fa fa-pencil"></i></a>
                                                &nbsp;
                                                <a href="{{ path('villa_show', {'id': annonce.id}) }}"><i class="fa fa-eye"></i></a>
                                                &nbsp;
                                                <a href="{{ path('annonce_delete', {'id': annonce.id}) }}" onclick="return confirm('voulez-vous vraiment supprimer cette annonce?')"><span class="ti-trash"></span>

                                                {% elseif annonce.nature=="Terrain Agricole" %}
                                                <a href="{{ path('edit_terrain_agricole', {'id': annonce.id}) }}"><i class="fa fa-pencil"></i></a>
                                                &nbsp;
                                                <a href="{{ path('show_terrain_agricole', {'id': annonce.id}) }}"><i class="fa fa-eye"></i></a>
                                                &nbsp;
                                                <a href="{{ path('annonce_delete', {'id': annonce.id}) }}" onclick="return confirm('voulez-vous vraiment supprimer cette annonce?')"><span class="ti-trash"></span>

                                                {% elseif annonce.nature=="Terrain Industriel" %}
                                                <a href="{{ path('edit_terrain_industreil', {'id': annonce.id}) }}"><i class="fa fa-pencil"></i></a>
                                                &nbsp;
                                                <a href="{{ path('show_terrain_industreil', {'id': annonce.id}) }}"><i class="fa fa-eye"></i></a>
                                                &nbsp;
                                                <a href="{{ path('annonce_delete', {'id': annonce.id}) }}" onclick="return confirm('voulez-vous vraiment supprimer cette annonce?')"><span class="ti-trash"></span>

                                                {% elseif annonce.nature=="Terrain Constructible" %}
                                                <a href="{{ path('edit_terrain_constructible', {'id': annonce.id}) }}"><i class="fa fa-pencil"></i></a>
                                                &nbsp;
                                                <a href="{{ path('show_terrain_constructible', {'id': annonce.id}) }}"><i class="fa fa-eye"></i></a>
                                                &nbsp;
                                                <a href="{{ path('annonce_delete', {'id': annonce.id}) }}" onclick="return confirm('voulez-vous vraiment supprimer cette annonce?')"><span class="ti-trash"></span>

                                                {% elseif annonce.nature=="Local Commercial" %}
                                                <a href="{{ path('local_commercial_edit', {'id': annonce.id}) }}"><i class="fa fa-pencil"></i></a>
                                                &nbsp;
                                                <a href="{{ path('local_commercial_show', {'id': annonce.id}) }}"><i class="fa fa-eye"></i></a>
                                                &nbsp;
                                                <a href="{{ path('annonce_delete', {'id': annonce.id}) }}" onclick="return confirm('voulez-vous vraiment supprimer cette annonce?')"><span class="ti-trash"></span>
                                                {% elseif annonce.nature=="Studio" %}
                                                <a href="{{ path('studio_edit', {'id': annonce.id}) }}"><i class="fa fa-pencil"></i></a>
                                                &nbsp;
                                                <a href="{{ path('studio_show', {'id': annonce.id}) }}"><i class="fa fa-eye"></i></a>
                                                &nbsp;
                                                <a href="{{ path('annonce_delete', {'id': annonce.id}) }}" onclick="return confirm('voulez-vous vraiment supprimer cette annonce?')"><span class="ti-trash"></span>

                                            {% endif %}

                                                </a>
                                        </td>

                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>

                           {# <a href="{{ path('annonce_new',{'id':0}) }}">Create new</a>#}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock %}

{% block script %}
    {{ parent() }}
    <script src="{{ asset('assets/js/lib/data-table/datatables.min.js') }}"></script>
    <script src="{{ asset('assets/js/lib/data-table/dataTables.bootstrap.min.js') }}"></script>
    <script src="{{ asset('assets/js/lib/data-table/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('assets/js/lib/data-table/buttons.bootstrap.min.js') }}"></script>
    <script src="{{ asset('assets/js/lib/data-table/jszip.min.js') }}"></script>
    <script src="{{ asset('assets/js/lib/data-table/vfs_fonts.js') }}"></script>
    <script src="{{ asset('assets/js/lib/data-table/buttons.print.min.js') }}"></script>
    <script src="{{ asset('assets/js/lib/data-table/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('assets/js/lib/data-table/buttons.colVis.min.js') }}"></script>
    <script src="{{ asset('assets/js/init/datatables-init.js') }}"></script>


    <script type="text/javascript">
        $(document).ready(function () {
            $('#bootstrap-data-table-export').DataTable();
        });
    </script>





{% endblock %}